package cz.muni.pv239.wishlist.database.daos

import androidx.room.*
import cz.muni.pv239.wishlist.database.entities.MyWishlistEntity

@Dao
interface MyWishlistDao {

    @Insert(onConflict = OnConflictStrategy.REPLACE)
    fun save(entity: MyWishlistEntity)

    @Insert(onConflict = OnConflictStrategy.REPLACE)
    fun save(entity: List<MyWishlistEntity>)

    @Delete
    fun delete(entity: List<MyWishlistEntity>)

    @Delete
    fun delete(entity: MyWishlistEntity)

    @Query("DELETE FROM mywishlist")
    fun deleteAll()

    @Query("SELECT * FROM mywishlist")
    fun getAll(): List<MyWishlistEntity>

    @Query("SELECT * FROM mywishlist where idMobile = :id")
    fun getById(id: Long): MyWishlistEntity


}