package cz.muni.pv239.wishlist.database.repository.mappers

import android.content.Context
import cz.muni.pv239.wishlist.database.WishlistDatabase
import cz.muni.pv239.wishlist.database.daos.SharedWishlistItemDao
import cz.muni.pv239.wishlist.model.sharedwishlist.SharedItem

class SharedItemRepository(
    context: Context,
    private val dao: SharedWishlistItemDao =
        WishlistDatabase.create(context).sharedItemDao()
) {
    fun update(sharedItem: SharedItem) {
        dao.update(sharedItem.toEntity())
    }
}