package cz.muni.pv239.wishlist.model.mywishlist

import android.os.Parcelable
import kotlinx.parcelize.Parcelize
import java.util.Objects

@Parcelize
data class MyWishlist(
    var idMobile: Long,
    var idServer: String,
    var name: String,
    var desc: String,
    var _isHidden: Boolean,
    var _isBought: Boolean
) : Parcelable {

    override fun equals(other: Any?): Boolean {
        if (this === other) return true
        if (javaClass != other?.javaClass) return false

        other as MyWishlist

        if (idServer != other.idServer) return false
        if (name != other.name) return false
        if (desc != other.desc) return false
        if (_isHidden != other._isHidden) return false
        if (_isBought != other._isBought) return false

        return true
    }

    override fun hashCode(): Int {
        return Objects.hash(idServer, name, desc, _isHidden, _isBought);
    }
}
