package cz.muni.pv239.wishlist.restclient

import cz.muni.pv239.wishlist.model.loginregistration.LogIn
import cz.muni.pv239.wishlist.model.loginregistration.Registration
import cz.muni.pv239.wishlist.model.mywishlist.MyWishlist
import cz.muni.pv239.wishlist.restclient.response.LogInResponse
import retrofit2.Call
import retrofit2.http.Body
import retrofit2.http.POST

interface UserWebService {

    @POST("myWishlist/registration")
    fun registration(
        @Body registration: Registration
    ): Call<Void>

    @POST("myWishlist/logIn")
    fun logIn(
        @Body logIn: LogIn
    ): Call<LogInResponse>

}